<%@ Control AutoEventWireup="false" CodeBehind="PortalSharing.ascx.cs" Inherits="DNNMasters.MPUS.X.UI.UserControls.PortalSharing"
    Language="c#" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/labelControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.MPUS.X.ComponentArt.Web.UI.N35"
    Assembly="DNNMasters.MPUS.X.ComponentArt.Web.UI.N35" %>

<script language="javascript">

    function PSTreeNodeSelect(node)
    { 
      <%=_psCallback.ClientID%>.Callback('PID'+node.Value);
    }
    
    function deleteSharedArea(id)
    { 
      <%=_psCallback.ClientID%>.Callback('DELETE'+id);
    }
        
    function CallBack1_onCallbackError(sender, eventArgs)
    {
      // event handler logic goes here
      // eventArgs is an empty EventArgs instance
      alert('Callback error: ' + eventArgs.get_message());
    }

</script>

<table>
    <tr>
        <td valign="top">
            <table id="pages_main" class="settings_table_main">
                <tr>
                    <td valign="top">
                        <table id="tree_header" border="0">
                            <tr>
                                <td class="Normal" valign="middle">
                                    <dnn:label id="lblSelectPortal" resource="lblSelectPortal" controlname="" suffix=""
                                        runat="server">
                                    </dnn:label>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <table id="pages_tree" class="table_border">
                            <tr>
                                <td valign="top">
                                    <componentart:TREEVIEW id="_tvPortals" CssClass="TreeView" runat="server" EnableViewState="false"
                                        NodeCssClass="TreeNode" SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode"
                                        LineImageWidth="19" LineImageHeight="20" ShowLines="True" LineImagesFolderUrl="Images/treeview/lines"
                                         AutoPostBackOnSelect="false" ClientSideOnNodeSelect="PSTreeNodeSelect" 
                                        AutoScroll="true" >
                                    </componentart:TREEVIEW>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
        <td>
            <componentart:callback id="_psCallback" runat="server" PostState="false" EnableViewState="false">
                <ClientEvents>  
                    <CallbackError EventHandler="CallBack1_onCallbackError" />
                </ClientEvents>
                <content>  
                    <asp:PlaceHolder Runat="server" ID="_phPS">
                    
                    
                    <div align="center">
	                    <font class="NormalRed">
		                    <dnn:label id="MessageDnn" runat="server" text="" visible="false"></dnn:label>
	                    </font>
                    </div>



                    <asp:panel id="pnlPortalInfo" runat="server">&nbsp; 
                    <table id="PortalData" cellspacing="0" cellpadding="0" border="0" runat="server" width="90%">	
	                    <tr>
		                    <td class="SubHead" width="5%">
		                    </td>
		                    <td class="DnnMastersPink" width="95%" align="justify" colspan="2">
			                    <dnn:label id="labelPortals" controlname="labelPortals" resourcekey="labelPortals"
				                    runat="server" text="PORTAL INFO"></dnn:label>
		                    </td>
	                    </tr>	
	                    <tr>
		                    <td class="SubHead" width="5%">
		                    </td>
		                    <td class="SubHead" width="30%" align="justify">
                                <dnn:label id="PortalID" controlname="PortalID" runat="server" resourcekey="PortalID" text="Portal ID:"></dnn:label>
		                    </td>
		                    <td class="SubHead" width="65%" align="justify">
                                <asp:label controlname="lbPortalID" id="lbPortalID" cssclass="NormalBold" runat="server" />
		                    </td>
	                    </tr>
	                    <tr>
		                    <td class="SubHead" width="5%">
		                    </td>
		                    <td class="SubHead" width="30%" align="justify">
                                <dnn:label id="PortalName" controlname="PortalName" runat="server" resourcekey="PortalName" text="Portal name:"></dnn:label>
		                    </td>
		                    <td class="SubHead" width="65%" align="justify">
                                <asp:label controlname="lbPortalName" id="lbPortalName" cssclass="NormalBold" runat="server" />
		                    </td>		
	                    </tr>
	                    <tr>
		                    <td class="SubHead" width="5%">
		                    </td>
		                    <td class="SubHead" width="30%" align="justify">
                                <dnn:label id="PortalUsers" controlname="PortalUsers" runat="server" resourcekey="PortalUsers" text="Users in portal:"></dnn:label>
		                    </td>
		                    <td class="SubHead" width="65%" align="justify">
                                <asp:label controlname="lbPortalUsers" id="lbPortalUsers" cssclass="NormalBold" runat="server" />
		                    </td>		
	                    </tr>	
                    </table>
                    <br />
                    </asp:panel>
                    <hr noshade size="1" width="100%" style="color:#909091;" align="center" />
                    <asp:panel id="pnlAddShareArea" runat="server">&nbsp; 

                    <table id="Table1" cellspacing="0" cellpadding="0" border="0" runat="server" width="90%">	
	                    <tr>
		                    <td class="DnnMastersSmallGreen" width="5%">
		                    </td>
		                    <td class="DnnMastersPink" width="95%" align="justify" colspan="3">
			                    <dnn:label id="labelAddSA" controlname="labelAddSA" resourcekey="labelAddSA"
				                    runat="server" text="ADD PORTAL TO SHARED AREA"></dnn:label>
		                    </td>
	                    </tr>

	                    <tr>
		                    <td class="DnnMastersSmallGreen" width="5%">
		                    </td>
                            <td class="DnnMastersSmallGreen" width="15%" align="left">
                            </td>
                            <td class="DnnMastersSmallGreen" width="30%" align="center">
                            </td>
                            <td class="DnnMastersSmallGreen" width="30%" align="center">
                            </td>
                            <td class="DnnMastersSmallGreen" width="20%" align="center">        
                                <asp:LinkButton ID="cmdAddSharedArea" runat="server" CssClass="CommandButton" Text="Add" resourcekey="cmdAddSharedArea" >                    
                                </asp:LinkButton>            
                            </td>
                        </tr>
                    </table>
                    <br />
                    </asp:panel>
                    <hr noshade size="1" width="100%" style="color:#909091;" align="center" />
                    <asp:panel id="pnlSharedAreaList" runat="server">&nbsp; 

                    <table id="Table2" cellspacing="0" cellpadding="0" border="0" runat="server" width="90%">	
	                    <tr>
		                    <td class="DnnMastersSmallGreen" width="5%">
		                    </td>
		                    <td class="DnnMastersPink" width="95%" align="left" colspan="3">
			                    <dnn:label id="labelSAList" controlname="labelSAList" resourcekey="labelSAList"
				                    runat="server" text="ASSIGNED SHARED AREA LIST"></dnn:label>
		                    </td>
	                    </tr>

                        <tr>
                            <td class="DnnMastersSmallGreen" width="5%">
                            </td>
                            <td class="DnnMastersSmallGreen" width="95%" align="left">	
                                <asp:datalist id="dlSAlist" runat="server" width="500px" OnDeleteCommand="btnSharedAreaDelete_Click">
				                    <headertemplate>
					                    <asp:label controlname="headerSharedAreaID" id="headerSharedAreaID" cssclass="DnnMastersGreen"
						                    runat="server" resourcekey="headerSharedAreaID" width="15%" text="SharedAreaID"></asp:label>
					                    <asp:label controlname="headerSharedAreaName" id="headerSharedAreaName" cssclass="DnnMastersGreen"
						                    runat="server" resourcekey="headerSharedAreaName" text="SharedAreaName" width="25%"></asp:label>
					                    <asp:label controlname="headerSharePortalUser" id="Label1" cssclass="DnnMastersGreen"
						                    runat="server" resourcekey="headerSharePortalUser" text="Share Portal Data" width="20%"></asp:label>
					                    <asp:label controlname="headerShareSAUser" id="Label2" cssclass="DnnMastersGreen"
						                    runat="server" resourcekey="headerShareSAUser" text="Share SA Data" width="20%"></asp:label>												
				                    </headertemplate>                
                                    <itemtemplate>
                                        <asp:label id="itemSharedAreaID" cssclass="Normal" width="15%" runat="server" text='<%# DataBinder.Eval(Container.DataItem,"SharedAreaID") %>'>
                                        </asp:label>					
                    					        
                                        <asp:label id="itemSharedAreaName" cssclass="Normal" width="25%" runat="server" text='<%# DataBinder.Eval(Container.DataItem,"Name") %>'>
                                        </asp:label>

                                        <asp:label id="itemSharedPortalUser" cssclass="Normal" width="20%" runat="server" text='<%# DataBinder.Eval(Container.DataItem,"SharePortalUser") %>'>
                                        </asp:label>                			

                                        <asp:label id="itemAddSharedAreaUser" cssclass="Normal" width="20%" runat="server" text='<%# DataBinder.Eval(Container.DataItem,"ShareSAUser") %>'>
			                            </asp:label>    
                    			        
					                    <asp:linkbutton id="btnSharedAreaDelete" cssclass="CommandButton" runat="server"
						                    commandname="DeleteSA" commandargument='<%# DataBinder.Eval(Container.DataItem,"SharedAreaID") %>'
						                    Text="Delete" Visible="false" ></asp:linkbutton>			                                					        					                        
                                        <a href="javascript:deleteSharedArea('<%# DataBinder.Eval(Container.DataItem,"SharedAreaID") %>');" class="CommandButton">Remove</a>						                    
		                            </itemtemplate>
	                            </asp:datalist>	
                            </td>
                        </tr>	
                    </table>
                    <br />
                    <hr noshade size="1" width="100%" style="color:#909091;" align="center" />
                    </asp:panel>

                    <asp:panel id="pnlCommand" runat="server">&nbsp; 
                                <asp:LinkButton ID="cmdBack" runat="server" CssClass="CommandButton" Text="Back" resourcekey="cmdBack" Visible="false">                    
                                </asp:LinkButton> 
                    <br />
                    </asp:panel>
                    
                    
                    
                    
                    </asp:PlaceHolder>
                </content>
            </componentart:callback>
        </td>
    </tr>
</table>
